# TdApi.PushMessageContentGameScore (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PushMessageContentGameScore

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PushMessageContentGameScore

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PushMessageContent
it.tdlight.jni.TdApi.PushMessageContentGameScore

Enclosing class:
  TdApi

public static final class TdApi.PushMessageContentGameScore extends TdApi.PushMessageContent
A new high score was achieved in a game.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isPinned`
True, if the message is a pinned message with the specified content.
`int`
`score`
New score, 0 for pinned message.
`String`
`title`
Game title, empty for pinned message.

## Constructor Summary

Constructors
Constructor
Description
`PushMessageContentGameScore()`
A new high score was achieved in a game.
`PushMessageContentGameScore(DataInput input)`
A new high score was achieved in a game.
`PushMessageContentGameScore(String title, int score, boolean isPinned)`
A new high score was achieved in a game.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### title

public String title
Game title, empty for pinned message.

### score

public int score
New score, 0 for pinned message.

### isPinned

public boolean isPinned
True, if the message is a pinned message with the specified content.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PushMessageContentGameScore

public PushMessageContentGameScore()
A new high score was achieved in a game.

### PushMessageContentGameScore

public PushMessageContentGameScore(String title, int score, boolean isPinned)
A new high score was achieved in a game.

Parameters:
  `title` - String Game title, empty for pinned message.
  `score` - int New score, 0 for pinned message.
  `isPinned` - boolean True, if the message is a pinned message with the specified content.

### PushMessageContentGameScore

public PushMessageContentGameScore(DataInput input) throws IOException
A new high score was achieved in a game.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`